<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~rnaqc_bioanalyzer.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>
tr.highlight
{
	border-top-width: 1px;
	border-top-style: dotted;
}

#rnaQcTable
{
	width: 100%; 
	border-collapse: collapse;
}

#rnaQcTable th
{
	padding: 4px 2px 4px 2px;
}

#rnaQcTable td
{
	padding-top: 3px;
	padding-bottom: 3px;
	text-align: center;
}

#rnaQcTable .comments
{
	text-align: left;
	width: 50%;
}

#rnaQcTable .comments input
{
	width: 95%;
}


</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="RNA quality control - Register RIN scores" 
		/></p:path>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	
	<!-- 1. Select bioplate -->
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select RNA QC plate</div>
		<div class="step-content">
		
			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Active bioplates</td>
				<td class="input">
					<select name="bioPlates" id="bioPlates"></select>
				</td>
				<td class="status" id="bioplates.status"></td>
				<td class="help">
					<span id="bioplates.message" class="message"></span>
					Select the bioplate to register. The list contain RNAQC 
					bioplates without quality score data (determined by 
					absence of QCRunDate annotation).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">PDF file</td>
				<td class="input">
					<table style="width: 100%;">
					<tr>
					<td>
						<input class="text" type="text" name="pdf" id="pdf" 
							data-subtype="CALIPER_PDF" data-name-filter="%.pdf"
							data-directory="/home/SCANB/RNAQC"
						>
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button 
							title="Browse&hellip;"
							id="pdf.btn"
						/>
					</td>
					</tr>
					</table>		
				</td>
				<td class="status" id="pdf.status"></td>
				<td class="help">
					<span id="pdf.message" class="message"></span>
					Select the PDF file that contains a printout with diagrams and other
					useful documentation.
				</td>
			</tr>
			<tr>
				<td class="prompt">QC Run Date</td>
				<td class="input">
					<input type="text" name="qcRunDate" id="qcRunDate"
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="qcOperator"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="qcRunDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="qcRunDate"
							data-date-format="yyyyMMdd"
							data-title="QC run date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="qcRunDate.status"></td>
				<td class="help">
					<span id="qcRunDate.message" class="message"></span>
					(YYYYMMDD or MMDD)
				</td>
			</tr>
			<tr>
				<td class="prompt">QC Operator</td>
				<td class="input">
					<input type="text" name="qcOperator" id="qcOperator" 
						value="<%=HTML.encodeTags(user.getName()) %>" maxlength="255">
				</td>
				<td class="status" id="qcOperator.status"></td>
				<td class="help">
					<span id="qcOperator.message" class="message"></span>
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input">
					<textarea name="comments" id="comments" rows="4"></textarea>
				</td>
				<td class="status" id="comments.status"></td>
				<td class="help">
					<span id="comments.message" class="message"></span>
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Register RIN values</div>
		<div class="step-content">

			<div id="rnaQc"></div>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>